org.eclipse.wst.jsdt.debug.core.jsdi.event

## Interface ScriptLoadEvent

All Superinterfaces:
  Event, Locatable, LocatableEvent, Mirror

    public interface ScriptLoadEvent
    extends LocatableEvent

Description of a JSDI event indicating a script has been loaded.

Since:
  1.0
See Also:
  `EventQueue`, `EventSet`, `LocatableEvent`, `ScriptReference`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ScriptReference` `script()` Returns the `ScriptReference` that has been loaded.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.event.LocatableEvent

`thread`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.event.Event

`request`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Locatable

`location`

### Method Detail

#### script

    ScriptReference script()

Returns the `ScriptReference` that has been loaded.
This method cannot return `null`

Returns:
  the `ScriptReference` that has been loaded never `null`